# ReleaseEipAddresses

## 1. API Description

This API (ReleaseEipAddresses) is used to release one or multiple elastic IPs.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Elastic IPs in recycle bin will be remained for 24 hours.</mark>
* <mark style="color:blue;">Only operations on elastic IPs in recycle bin with the status of</mark> <mark style="color:blue;">`RECYCLE`</mark> <mark style="color:blue;">are supported.</mark>
* <mark style="color:blue;">Batch operations are supported. The maximum number of elastic IPs in each request is 100.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                               |
| -------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eipIds         | Yes      | Array of String | <p>IDs of elastic IPs.</p><p>To obtain IDs of the elastic IPs, you can call DescribeEipAddresses and look for eipId in the response.</p><p>Value range: \[1.0, 100.0]</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Release two elastic IPs**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ReleaseEipAddresses
<Common Request Params>

Request：
{
    "eipIds": ["eipId1","eipId2"]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                            | Description                                         |
| ---------------- | ------------------------------------- | --------------------------------------------------- |
| 403              | OPERATION\_DENIED\_EIP\_NOT\_RECYCLED | The specified elastic IP is not in the recycle bin. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/elastic-ip/releaseeipaddresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
